List Merchant Markups Configuration
curl --request GET \
--url https://api.sandbox.wepayout.com.br/v2/account/markups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.wepayout.com.br/v2/account/markups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.wepayout.com.br/v2/account/markups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"product": "payin",
"payment_method": "pix",
"account_id": 123,
"parent_id": null,
"type": "global",
"mode": "percent",
"amount": 2.5,
"min_charge_value": 1.0,
"max_charge_value": 100.0,
"enabled": true,
"created_at": "2025-01-01 12:00:00",
"updated_at": "2025-01-10 09:30:00"
},
{
"id": 2,
"product": "payout",
"payment_method": "ted",
"account_id": 123,
"parent_id": null,
"type": "global",
"mode": "fixed",
"amount": 5.0,
"min_charge_value": null,
"max_charge_value": null,
"enabled": true,
"created_at": "2025-01-02 12:00:00",
"updated_at": "2025-01-10 09:40:00"
}
]
}
{
"message": "Dados inválidos.",
"errors": {
"parent_id": [
"O campo parent_id é proibido quando account_id está presente."
],
"payment_method": [
"O campo payment_method é inválido."
]
}
}
{
"error": "Não foi possível buscar os markups."
}
Account
List Merchant Markups Configuration
List markup configurations for merchants with optional filters.
GET
/
v2
/
account
/
markups
List Merchant Markups Configuration
List Merchant Markups Configuration
Use this endpoint to list existing markup configurations for merchants. If no filters are provided, the API returns the markups that belong to the authenticated user’s companies.Query Parameters
integer
Merchant ID filter.Business rules:
- Optional
- Must be greater than or equal to
1
integer
Parent merchant ID filter.Business rules:
- Optional
- Must be greater than or equal to
1 - Prohibited when
account_idis present (one or the other)
integer
Specific markup ID filter.Business rules:
- Optional
- Must be greater than or equal to
1
string
Filter by payment method.Allowed values:
pix, billet, credit_cardstring
Filter by product.Allowed values:
payin, payoutstring
Filter by markup type.Business rules:
- Optional
- Currently, only
globalis supported externally
Request Examples
curl -X GET "https://api.sandbox.wepayout.com.br/v2/account/markups" \
-H "Authorization: Bearer SEU_TOKEN_AQUI" \
-H "Accept: application/json"
curl -X GET "https://api.sandbox.wepayout.com.br/v2/account/markups?account_id=123&product=payin&payment_method=pix&type=global" \
-H "Authorization: Bearer SEU_TOKEN_AQUI" \
-H "Accept: application/json"
curl -X GET "https://api.sandbox.wepayout.com.br/v2/account/markups?id=10" \
-H "Authorization: Bearer SEU_TOKEN_AQUI" \
-H "Accept: application/json"
curl -X GET "https://api.sandbox.wepayout.com.br/v2/account/markups?account_id=123&parent_id=456&payment_method=xyz" \
-H "Authorization: Bearer SEU_TOKEN_AQUI" \
-H "Accept: application/json"
curl -X GET "https://api.sandbox.wepayout.com.br/v2/account/markups?account_id=123" \
-H "Authorization: Bearer SEU_TOKEN_AQUI" \
-H "Accept: application/json"
Response
array[object]
List of markup configurations.
Show Markup Object
Show Markup Object
integer
Markup configuration ID.
string
Product where the markup is applied.
string
Payment method where the markup is applied.
integer
Merchant ID that receives the markup.
integer or null
Parent relationship ID, when applicable.
string
Markup scope type. Example:
global.string
Markup mode. Example:
fixed or percent.number
Markup value configured for this rule.
number or null
Minimum markup value when
mode is percent.number or null
Maximum markup value when
mode is percent.boolean
Indicates whether the markup configuration is currently active.
string
Date and time when the markup configuration was created.
string
Date and time when the markup configuration was last updated.
{
"data": [
{
"id": 1,
"product": "payin",
"payment_method": "pix",
"account_id": 123,
"parent_id": null,
"type": "global",
"mode": "percent",
"amount": 2.5,
"min_charge_value": 1.0,
"max_charge_value": 100.0,
"enabled": true,
"created_at": "2025-01-01 12:00:00",
"updated_at": "2025-01-10 09:30:00"
},
{
"id": 2,
"product": "payout",
"payment_method": "ted",
"account_id": 123,
"parent_id": null,
"type": "global",
"mode": "fixed",
"amount": 5.0,
"min_charge_value": null,
"max_charge_value": null,
"enabled": true,
"created_at": "2025-01-02 12:00:00",
"updated_at": "2025-01-10 09:40:00"
}
]
}
{
"message": "Dados inválidos.",
"errors": {
"parent_id": [
"O campo parent_id é proibido quando account_id está presente."
],
"payment_method": [
"O campo payment_method é inválido."
]
}
}
{
"error": "Não foi possível buscar os markups."
}
Related Resources
Create Merchant Markup
Create new markup configurations
Update Merchant Markup
Update existing markup configurations
About Markup
Learn about markup types and configuration levels
Create Payin with Global Markup
Use global markup when creating payin charges
Was this page helpful?
⌘I

